/*
var shouldBlink = true; // whether or not clock separator should blink
var clockType = 12; // 12 or 24 for 12-hour or 24-hour clock
*/

var blinking = false;
var next_sec = (1000 - (new Date().getMilliseconds()));

//languages
ul=(navigator.language) ? navigator.language : navigator.userLanguage;
langs=['en','es','fr','it','pt','zh','ru'];
lang=0; //default is english

days=[
['sunday','domingo','dimanche','domenica','domingo','星期日','воскресенье'],
['monday','lunes','lundi','lunedì','segunda-feira','星期一','понедельник'],
['tuesday','martes','mardi','martedì','terça-feira','星期二','вторник'],
['wednesday','miercoles','mercredi','mercoledì','quarta-feira','星期三,','среда'],
['thursday','jueves','jeudi','giovedì','quinta-feira','星期四','четверг'],
['friday','viernes','vendredi','venerdì','sexta-feira','星期五','пятница'],
['saturday','sábado','dimanche','sabato','sábado','星期六','суббота']];

months=[
['january','enero','janvier','gennaio','janeiro','芍月','Январь'],
['february','febrero','février','febbraio','fevereiro','杏月','Февраль'],
['march','marzo','mars','marzo','março','桃月','Март'],
['april','abril','avril','aprile','abril','梅月','Апрель'],
['may','mayo','mai','maggio','maio','榴月','Май'],
['june','junio','juin','guigno','junho','荷月','Июнь'],
['july','julio','juillet','luglio','julho','蘭月','Июль'],
['august','agosto','août','agosto','agosto','桂月','Август'],
['september','septiembre','septembre','settembre','setembro','菊月','Сентябрь'],
['october','octubre','octobre','ottobre','outumbro','良月','Октябрь'],
['november','noviembre','novembre','novembre','novembro','冬月','Ноябрь'],
['december','deciembre','dêcembre','dicembre','dezembro','臘月','Декабрь']];

function run_clock()
{
	//set language
    for(i=0;i<=langs.length;i++) {
        if(ul.indexOf(langs[i])>-1) {
            lang=i;
        }
    }

	d = new Date();
	today=d.getDay();
	month=d.getMonth();
    year=d.getFullYear();
	hour = d.getHours();
	minutes = d.getMinutes();
	seconds = d.getSeconds();

	if (clockType != 24)
	{
		switch (true)
		{
			case hour > 12:
				hour -= 12;
				break;

			case hour == 0:
				hour = 12;
				break;
		}
	}

	if (minutes < 10) minutes = '0' + minutes;

	document.getElementById('hours').innerHTML = hour;
	document.getElementById('mins').innerHTML = minutes;
	document.getElementById('date').innerHTML = days[today][lang].toProperCase() + ", " + months[month][lang].toProperCase() + " " + d.getDate();

	next_minute = (60 - seconds);
	setTimeout('run_clock()', next_minute);
}

function blink()
{
	if (shouldBlink == false) return;

	if (blinking) document.getElementById('dots').innerHTML = " ";
	else document.getElementById('dots').innerHTML = ":";

	blinking = !blinking;

	setTimeout('blink()', 1000);
}

String.prototype.toProperCase = function()
{
	return this.replace(/\w\S*/g, function(txt) { return txt.charAt(0).toUpperCase() + txt.substr(1).toLowerCase(); } );
};

window.onload = run_clock(), setTimeout('blink()', next_sec);