var users = Array();

// Called by MDM to disable user input
function mdm_disable() {
	document.getElementById("entry").value = "disabled";
	document.getElementById("entry").disabled = "disabled";
	document.getElementById("ok_button").disabled = "disabled";
}

// Called by MDM to enable user input
function mdm_enable() {
	document.getElementById("entry").value = "";
	document.getElementById("entry").disabled = false;
	document.getElementById("ok_button").disabled = false;
}

// Called by MDM to set the welcome message
function set_welcome_message(message) {			
	document.getElementById("welcome_message").innerHTML = message;
}

// Called by MDM to update the clock
function set_clock(message) {			
	document.getElementById("clock").innerHTML = message;
}

// Called by MDM to allow the user to input a username		
function mdm_prompt(message) {	
	mdm_enable();		
	document.getElementById("label").innerHTML = message;
	document.getElementById("entry").value = "";
	document.getElementById("entry").type = "text";
	document.getElementById("entry").focus();
}

// Called by MDM to allow the user to input a password
function mdm_noecho(message) {	
	mdm_enable();		
	document.getElementById("label").innerHTML = message;
	document.getElementById("entry").value = "";
	document.getElementById("entry").type = "password";
	document.getElementById("entry").focus();
}

// Called by MDM to show a message (usually "Please enter your username")
function mdm_msg(message) {			
	document.getElementById("message").innerHTML = message;			
}

// Called by MDM to show a timed login countdown
function mdm_timed(message) {
	if (message != "") {
		document.getElementById("timed").style.display = 'block';
		document.getElementById("notify_area_timed").style.display = 'block';
	}
	else {
		document.getElementById("timed").style.display = 'none';
		document.getElementById("notify_area_timed").style.display = 'none';
	}
	
	document.getElementById("timed").innerHTML = message;
}

// Called by MDM to show an error		
function mdm_error(message) {						
	if (message != "") {
		document.getElementById("error").style.display = 'block';
		document.getElementById("notify_area_error").style.display = 'block';
	}
	else {
		document.getElementById("error").style.display = 'none';
		document.getElementById("notify_area_error").style.display = 'none';
	}
	document.getElementById("error").innerHTML = message;
}	
				
// Send user input to MDM
function send_login() {
	// read the value before we disable the field, as it will be changed to "disabled"
	var value = document.getElementById("entry").value;
	mdm_disable(); 
	alert("LOGIN###" + value);
	return false;
}

function init() {
	document.getElementById("error").style.display = 'none';
}

// Called by MDM to add a user to the list of users
function mdm_add_user(username, gecos, status) {
						
	var box = document.createElement('div');
		box.setAttribute('class', "user-info");
		
	var link = document.createElement('a');	
		link.setAttribute('href', "javascript:alert('USER###"+username+"')");
		
	var picture = document.createElement('img');
		picture.setAttribute('class', "img-circle user-img");
		picture.setAttribute('src', "file:///home/"+username+"/.face");
		picture.setAttribute('onerror', "this.src='file:///usr/share/pixmaps/nobody.png';");
		
	var realname_div = document.createElement('div');
		realname_div.setAttribute('class', "user-gecos");
		realname_div.innerHTML = gecos;
		
	var username_div = document.createElement('div');
		username_div.setAttribute('class', "username");
		username_div.innerHTML = username;

	if (status != "") {
		var userstatus_div = document.createElement('div');
		userstatus_div.setAttribute('class', "user-status");
		userstatus_div.innerHTML = status;
	}
																														
	box.appendChild(link);
	link.appendChild(picture);														
	link.appendChild(realname_div);			
	link.appendChild(username_div);			
	
	if (status != "") {
		link.appendChild(userstatus_div);	
	}
		
	var src = document.getElementById("users");
	src.appendChild(box);
}	

// Called by MDM to add a session to the list of sessions
function mdm_add_session(session_name, session_file) {
	
	session_name = session_name.replace("Blankon", "BlankOn");
	
	var filename = session_name.toLowerCase();
	filename = filename.replace(/ /g, "-");
	filename = filename.replace(/\(/g, "");
	filename = filename.replace(/\)/g, "");
					
	var li = document.createElement('li');			
		
	var link = document.createElement('a');	
		link.setAttribute('href', "javascript:alert('SESSION###"+session_name+"###"+session_file+"');select_session('"+session_name+"','"+session_file+"');");
		
	var picture = document.createElement('img');
		picture.setAttribute('class', "session-picture");
		picture.setAttribute('src', "img/sessions/"+filename+".svg");
		picture.setAttribute('onerror', "this.src='img/sessions/default.svg';");
					
	var name_div = document.createTextNode(session_name);				
																														
	li.appendChild(link);
	link.appendChild(picture);
	link.appendChild(name_div);
		
	var src = document.getElementById("sessions");
	src.appendChild(li);
}	

function select_session(session_name, session_file) {
	var filename = session_name.toLowerCase();
	filename = filename.replace(/ /g, "-");
	filename = filename.replace(/\(/g, "");
	filename = filename.replace(/\)/g, "");
	document.getElementById("current_session_picture").src = "img/sessions/"+filename+".svg";
	document.getElementById("current_session_picture").title = session_name;
}

// Called by MDM to add a language to the list of languages
function mdm_add_language(language_name, language_code) {

	var filename = language_code.toLowerCase();
	filename = filename.replace(".utf-8", "");
	bits = filename.split("_");
	if (bits.length == 2) {
		filename = bits[1];																	
	}
	var li = document.createElement('li');			
		
	var link = document.createElement('a');	
		link.setAttribute('href', "javascript:alert('LANGUAGE###"+language_code+"')");

	var picture = document.createElement('img');
		picture.setAttribute('class', "language-picture");
		picture.setAttribute('src', "img/languages/"+filename+".png");
		picture.setAttribute('onerror', "this.src='img/languages/generic.png';");
									
	var name_div = document.createTextNode(language_name);				
																														
	li.appendChild(link);	
	link.appendChild(picture);		
	link.appendChild(name_div);
		
	var src = document.getElementById("languages");
	src.appendChild(li);
}	

function mdm_set_current_language(language_name, language_code)	{
	var filename = language_code.toLowerCase();
	filename = filename.replace(".utf-8", "");
	bits = filename.split("_");
	if (bits.length == 2) {
		filename = bits[1];																	
	}
	document.getElementById("current_language_flag").src = "img/languages/"+filename+".png";			
	document.getElementById("current_language_flag").title = language_name;
}

// Called by MDM if the SHUTDOWN command shouldn't appear in the greeter
function mdm_hide_shutdown() {
	document.getElementById("shutdown").style.display = 'none';
}	

// Called by MDM if the SUSPEND command shouldn't appear in the greeter
function mdm_hide_suspend() {
	document.getElementById("suspend").style.display = 'none';
}

// Called by MDM if the RESTART command shouldn't appear in the greeter
function mdm_hide_restart() {
	document.getElementById("restart").style.display = 'none';
}

// Called by MDM if the QUIT command shouldn't appear in the greeter
function mdm_hide_quit() {
	document.getElementById("quit").style.display = 'none';
}

// Called by MDM if the XDMCP command shouldn't appear in the greeter
function mdm_hide_xdmcp() {
	document.getElementById("xdmcp").style.display = 'none';
}